
Redmine - Patch #42089

Fix Lint workflow error on 6.0-stable due to unsupported ruby/setup-ruby on Ubuntu 24.04

2025-01-12 15:25 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.3   

Description

The Lint workflow on the 6.0-stable branch is currently failing:

https://github.com/redmine/redmine/actions/runs/12647045791/job/35238740462

Run ruby/setup-ruby@55283cc23133118229fd3f97f9336ee23a179fcf

Error: The current runner (ubuntu-24.04-x64) was detected as self-hosted because the platform does

 not match a GitHub-hosted runner image (or that image is deprecated and no longer supported).

...

 The issue is caused by using a version of ruby/setup-ruby that does not support Ubuntu 24.04.

This patch fixes the issue by updating the workflow to always use the latest version of ruby/setup-ruby v1:

diff --git a/.github/workflows/rubyonrails.yml b/.github/workflows/rubyonrails.yml

index 07882bdc8..d147851b2 100644

--- a/.github/workflows/rubyonrails.yml

+++ b/.github/workflows/rubyonrails.yml

@@ -9,7 +9,7 @@ jobs:

       - name: Checkout code

         uses: actions/checkout@v4

       - name: Install Ruby and gems

-        uses: ruby/setup-ruby@55283cc23133118229fd3f97f9336ee23a179fcf # v1.146.0

+        uses: ruby/setup-ruby@v1

         with:

           ruby-version: 3.2

           bundler-cache: true

Associated revisions

Revision 23438 - 2025-01-15 09:41 - Go MAEDA

Fix GitHub Actions Lint workflow error on 6.0-stable due to unsupported ruby/setup-ruby on Ubuntu 24.04 (#42089).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-01-15 08:34 - Go MAEDA

- Target version set to 6.0.3

Setting the target version to 6.0.3.

#2 - 2025-01-15 09:42 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r23438. Thank you.
